| VismaBouwsoftAPICalls.v1_POST_ProjectContacts | Method |
This API call is used to add a(n) ProjectContact
General Description
| HTTP method | API version |
|---|---|
| POST | v1 |
Don’t forget to put the Authorization field in the header
API Path: /ProjectContacts
or
Fields
The following fields are available:
| Field Name | Type Id | Type Name | Length | Required | Writeable | Force Write | Link |
|---|---|---|---|---|---|---|---|
| project_id | 1 | tpLong | 0 | No | No | No | |
| project_pnr | 1 | tpLong | 0 | No | No | No | |
| project_approved | 5 | tpBool | 0 | No | No | No | |
| project_rejected | 5 | tpBool | 0 | No | No | No | |
| project_completed | 5 | tpBool | 0 | No | No | No | |
| address_id | 1 | tpLong | 0 | No | No | No | |
| address_name | 2 | tpString | 150 | No | No | No | |
| address_active | 5 | tpBool | 0 | No | No | No | |
| contact_id | 1 | tpLong | 0 | No | No | No | |
| contact_salutation | 2 | tpString | 50 | No | Yes | No | |
| contact_name | 2 | tpString | 50 | No | Yes | No | |
| contact_function | 2 | tpString | 50 | No | Yes | No | |
| contact_department | 2 | tpString | 50 | No | Yes | No | |
| contact_address | 2 | tpString | 63 | No | Yes | No | |
| contact_addressline2 | 2 | tpString | 63 | No | Yes | No | |
| contact_countrycode | 2 | tpString | 2 | No | Yes | No | |
| contact_zipcode | 2 | tpString | 15 | No | Yes | No | |
| contact_city | 2 | tpString | 40 | No | Yes | No | |
| contact_state | 2 | tpString | 40 | No | No | No | |
| contact_email | 10 | tpEmail | 100 | No | Yes | No | |
| contact_telephone | 9 | tpTelefoon | 25 | No | Yes | No | |
| contact_fax | 15 | tpFax | 25 | No | Yes | No | |
| contact_gsm | 9 | tpTelefoon | 25 | No | Yes | No |
/ProjectContacts
API Path: /ProjectContacts/
If everything succeeds the HTTP response status is 201
(201 CREATED)
If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)
For an explanation of all possible errors, please consult our section on possible answers to API calls here
Examples:
https://ra.bouwsoft.be/api/v1/ProjectContacts
with the following parameters :
Header Parameters :
ParameterName: AccessToken, ParameterValue: bOIfWxfOrOzSfIDDktzRqbjPfmIkIOttjUltzftfAPrGflAOOf
ParameterName: Clientnr, ParameterValue: 115
Query Parameters :
ParameterName: columns, ParameterValue: contact_address=’Gruuthof 24’,project_id=3320,contact_id=208553
Success gives statuscode 201 And the following result
{“RecordChanges”:
[
{
"id": 102,
"project_id": 3320,
"project_pnr": 2021060078,
"project_approved": true,
"project_rejected": false,
"project_completed": false,
"address_id": 329298,
"address_name": "DirkAPICust",
"address_active": true,
"contact_id": 208553,
"contact_salutation": "Mevr",
"contact_name": "Boris",
"contact_function": "",
"contact_department": "",
"contact_address": "Gruuthof 24",
"contact_addressline2": "",
"contact_countrycode": "",
"contact_zipcode": "",
"contact_city": "",
"contact_state": "",
"contact_email": "",
"contact_telephone": "",
"contact_fax": "",
"contact_gsm": ""
}
]
}